http://sourceforge.net/tracker/index.php?func=detail&aid=1791328&group_id=172030&atid=860196

pull in more headers for prototypes

--- watchdog-5.2.6/src/fstab.c
+++ watchdog-5.2.6/src/fstab.c
@@ -2,6 +2,7 @@
 #include "config.h"
 #endif
 
+#define _GNU_SOURCE /* for strsignal() */
 #include <unistd.h>
 #include <errno.h>
 #include <stdio.h>
--- watchdog-5.2.6/src/nfsmount.c
+++ watchdog-5.2.6/src/nfsmount.c
@@ -41,6 +41,7 @@
 #include <rpc/pmap_prot.h>
 #include <rpc/pmap_clnt.h>
 #include <sys/socket.h>
+#include <time.h>
 #include <sys/time.h>
 #include <sys/utsname.h>
 #include <sys/stat.h>
--- watchdog-5.2.6/src/pidfile.c
+++ watchdog-5.2.6/src/pidfile.c
@@ -4,6 +4,10 @@
 
 #include <errno.h>
 #include <fcntl.h>
+#include <unistd.h>
+#include <sys/types.h>
+#include <stdlib.h>
+#include <signal.h>
 #include "extern.h"
 #include "watch_err.h"
 
--- watchdog-5.2.6/src/shutdown.c
+++ watchdog-5.2.6/src/shutdown.c
@@ -2,6 +2,8 @@
 #include "config.h"
 #endif
 
+#define _GNU_SOURCE /* for getsid() */
+
 #include <dirent.h>
 #include <errno.h>
 #include <fcntl.h>
@@ -12,6 +14,7 @@
 #include <signal.h>
 #include <string.h>
 #include <stdlib.h>
+#include <time.h>
 #include <utmp.h>
 #include <sys/mman.h>
 #include <sys/param.h>
--- watchdog-5.2.6/src/test_binary.c
+++ watchdog-5.2.6/src/test_binary.c
@@ -8,6 +8,7 @@
 #include <unistd.h>
 #include <stdlib.h>
 #include <sys/wait.h>
+#include <time.h>
 #include "extern.h"
 #include "watch_err.h"
 
--- watchdog-5.2.6/src/wd_keepalive.c
+++ watchdog-5.2.6/src/wd_keepalive.c
@@ -15,6 +15,7 @@
  *
 ***********************************************************/
 
+#define _GNU_SOURCE
 #include <errno.h>
 #include <fcntl.h>
 #include <sched.h>
@@ -23,7 +24,7 @@
 #include <stdlib.h>
 #include <sys/mman.h>
 #include <sys/wait.h>
-#define __USE_GNU
+#include <unistd.h>
 #include <string.h>
 #include <syslog.h>
 
--- watchdog-5.2.6/src/watchdog.c
+++ watchdog-5.2.6/src/watchdog.c
@@ -11,6 +11,8 @@
 
 #include "extern.h"
 
+#include <sys/stat.h>
+#include <libgen.h>
 #include <errno.h>
 #include <fcntl.h>
 #include <getopt.h>
@@ -21,7 +23,6 @@
 #include <arpa/inet.h>
 #include <sys/mman.h>
 #include <sys/wait.h>
-#define __USE_GNU
 #include <string.h>
 
 #if !defined(__GLIBC__)		/* __GLIBC__ */
